#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClanImageFileType {
    Unknown = 0,
    JPEG = 1,
    GIF = 2,
    PNG = 3,
    MP4 = 4,
    WEBM = 5,
    VTT = 6,
    SRT = 7,
    SVG = 8,
    XML = 9,
    WEBP = 10,
}

impl EClanImageFileType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::JPEG as i32 => Some(Self::JPEG),
            x if x == Self::GIF as i32 => Some(Self::GIF),
            x if x == Self::PNG as i32 => Some(Self::PNG),
            x if x == Self::MP4 as i32 => Some(Self::MP4),
            x if x == Self::WEBM as i32 => Some(Self::WEBM),
            x if x == Self::VTT as i32 => Some(Self::VTT),
            x if x == Self::SRT as i32 => Some(Self::SRT),
            x if x == Self::SVG as i32 => Some(Self::SVG),
            x if x == Self::XML as i32 => Some(Self::XML),
            x if x == Self::WEBP as i32 => Some(Self::WEBP),
            _ => None,
        }
    }
}
